Update Project
curl --request PUT \
--url https://app.aseed.ai/custdev/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"status": "<string>",
"research_goals": "<string>",
"interview_guide": "<string>"
}
'import requests
url = "https://app.aseed.ai/custdev/projects/{project_id}"
payload = {
"name": "<string>",
"description": "<string>",
"status": "<string>",
"research_goals": "<string>",
"interview_guide": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
status: '<string>',
research_goals: '<string>',
interview_guide: '<string>'
})
};
fetch('https://app.aseed.ai/custdev/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"records_count": 123,
"total_reports_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"research_goals": "<string>",
"interview_guide": "<string>",
"owner_email": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}projects
Update Project
Update an existing project.
Parameters:
- project_id: Project UUID
- name: New project name (optional)
- description: New description (optional)
- status: New status (optional)
- research_goals: New research goals (optional)
- interview_guide: New interview guide (optional)
Returns:
- ProjectResponse with updated project details
PUT
/
projects
/
{project_id}
Update Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?
⌘I